Skip to main content
POST
/
v1
/
realtime
/
runs
Create a realtime run
curl --request POST \
  --url https://developer.creao.ai/v1/realtime/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "00000000-0000-4000-8000-000000000000",
  "input": {
    "query": "Summarize the latest quarterly report."
  }
}
'
"event: run.created\ndata: {\"run_id\":\"11111111-1111-4111-8111-111111111111\",\"agent_id\":\"00000000-0000-4000-8000-000000000000\",\"conversation_id\":\"22222222-2222-4222-8222-222222222222\"}\n\nevent: output_text.delta\ndata: {\"delta\":\"Hello\"}\n\nevent: run.completed\ndata: {\"run_id\":\"11111111-1111-4111-8111-111111111111\",\"status\":\"completed\",\"result\":{\"text\":\"Hello\"}}\n"

Authorizations

Authorization
string
header
default:cr_sk_your_key_here
required

Account API key from Developer Console. Keys start with cr_sk_.

Body

application/json
agent_id
string<uuid>
required

Active personal CREAO agent to run.

input
any
required

JSON input for the agent. Serialized input must be 256 KB or smaller.

conversation_id
string<uuid>

Existing conversation to continue. Omit to create a new conversation.

Response

Server-Sent Events stream.

The response is of type string.